<?php
class FndSaldoFacturaAction extends wtActions
{
    public function execute()
    {
        $s_IdOrden   = $this->getRequestParameter( 'id_orden' );
        $s_IdFactura = $this->getRequestParameter( 'id_factura' );

        $s_MonedaDesc       = "";
        $f_OrdenVenta      = 0;
        $f_OrdenVentaMN    = 0;
        $f_OrdenImpuesto   = 0;
        $f_OrdenImpuestoMN = 0;
        $f_OrdenNeto       = 0;
        $f_OrdenNetoMN     = 0;

        if( $s_IdOrden && !$s_IdFactura )
        {
            $o_VTA_OrdenFN = new VTA_OrdenFN();
            $o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $s_IdOrden );
            if( $o_VTA_OrdenBN )
            {
                $s_MonedaDesc      = $o_VTA_OrdenBN->getOrdenMonedaDesc();
                $f_OrdenVenta      = $o_VTA_OrdenBN->getOrdenVenta();
                $f_OrdenVentaMN    = $o_VTA_OrdenBN->getOrdenVentaMN();
                $f_OrdenImpuesto   = $o_VTA_OrdenBN->getOrdenImpuesto();
                $f_OrdenImpuestoMN = $o_VTA_OrdenBN->getOrdenImpuestoMN();
                $f_OrdenNeto       = $o_VTA_OrdenBN->getOrdenNeto();
                $f_OrdenNetoMN     = $o_VTA_OrdenBN->getOrdenNetoMN();
            }
        }

        if( $s_IdFactura )
        {
            //aqui se recupera los valores de la factura
        }

        $this->MonedaDesc       = $s_MonedaDesc;
        $this->OrdenVenta      = $f_OrdenVenta;
        $this->OrdenVentaMN    = $f_OrdenVentaMN;
        $this->OrdenImpuesto   = $f_OrdenImpuesto;
        $this->OrdenImpuestoMN = $f_OrdenImpuestoMN;
        $this->OrdenNeto       = $f_OrdenNeto;
        $this->OrdenNetoMN     = $f_OrdenNetoMN;
        //ViewResponse::getInstance()->setMethodAjax();
    }
}
